org.sunflow.image.formats

## Class GenericBitmap

- java.lang.Object
- - org.sunflow.image.Bitmap
  - - org.sunflow.image.formats.GenericBitmap

-     public class GenericBitmap
      extends Bitmap

  This is a generic and inefficient bitmap format which may be used for debugging purposes (dumping small images), when memory usage is not a concern.

- - ### Field Summary

    - ### Fields inherited from class org.sunflow.image.Bitmap

      `INV255, INV65535`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericBitmap(int w, int h)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()`
    `int` | `getWidth()`
    `float` | `readAlpha(int x, int y)`
    `Color` | `readColor(int x, int y)`
    `void` | `save(java.lang.String filename)`
    `void` | `writePixel(int x, int y, Color c, float a)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericBitmap

          public GenericBitmap(int w,
                               int h)

  - ### Method Detail

    - #### getWidth

          public int getWidth()

      Specified by:
        `getWidth` in class `Bitmap`

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in class `Bitmap`

    - #### readColor

          public Color readColor(int x,
                                 int y)

      Specified by:
        `readColor` in class `Bitmap`

    - #### readAlpha

          public float readAlpha(int x,
                                 int y)

      Specified by:
        `readAlpha` in class `Bitmap`

    - #### writePixel

          public void writePixel(int x,
                                 int y,
                                 Color c,
                                 float a)

    - #### save

          public void save(java.lang.String filename)